Subject: Re: What's cooking in git.git (May 2022, #05; Mon, 16)

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 May 2022 10:29:02 -0700

Carlo Marcelo Arenas Belón <[email-masked]> writes:

> On Mon, May 16, 2022 at 10:37:04PM -0700, Junio C Hamano wrote:
>> 
>> * cb/path-owner-check-with-sudo (2022-05-12) 4 commits
>>  - git-compat-util: allow root to access both SUDO_UID and root owned
>>  - t0034: add negative tests and allow git init to mostly work under sudo
>>  - git-compat-util: avoid failing dir ownership checks if running privileged
>>  - t: regression git needs safe.directory when using sudo
>> 
>>  With a recent update to refuse access to repositories of other
>>  people by default, "sudo make install" and "sudo git describe"
>>  stopped working.  This series intends to loosen it while keeping
>>  the safety.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I am obviously biased, and probably confused, since this is already in the
> "cooking" section, but I think this is ready and should be merged to next
> without the optional patch 4.

I agree that #4 may be subject to further discussion, but the other
three are solid enough.  Let's merge it down.

Thanks.